#include "cg6905.h"

bool TCanc_file_invio::create()
{
  TApplication::create();

  dispatch_e_menu (BAR_ITEM(1));

  return TRUE;
}

bool TCanc_file_invio::destroy()
{
  return TApplication::destroy();
}

bool TCanc_file_invio::set()
{ 
  TString marker;
  
  _tras_file.remove_all(FALSE);
  
  marker = firm2dir(0);
  marker << "\\marker";
  
  fremove(marker);
  
  message_box("Eliminazione file di lavoro dell' invio terminata");
               
  return FALSE;
}

bool TCanc_file_invio::menu(MENU_TAG m)
{  
  if (m == BAR_ITEM(1))  
    return set();
    
  return FALSE;
}
